> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dwe.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a recording



## OpenAPI

````yaml https://github.com/DeepwaterExploration/dweOS/releases/latest/download/openapi.json delete /api/recordings/{recording_path}
openapi: 3.1.0
info:
  title: DWE OS API
  description: API for DWE OS
  version: 0.1.0
servers: []
security: []
paths:
  /api/recordings/{recording_path}:
    delete:
      tags:
        - recordings
      summary: Delete a recording
      operationId: delete_recording_api_recordings__recording_path__delete
      parameters:
        - name: recording_path
          in: path
          required: true
          schema:
            type: string
            title: Recording Path
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/RecordingInfo'
                title: >-
                  Response Delete Recording Api Recordings  Recording Path 
                  Delete
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    RecordingInfo:
      properties:
        path:
          type: string
          title: Path
        name:
          type: string
          title: Name
        format:
          type: string
          title: Format
        duration:
          type: string
          title: Duration
        size:
          type: string
          title: Size
        created:
          type: string
          title: Created
      type: object
      required:
        - path
        - name
        - format
        - duration
        - size
        - created
      title: RecordingInfo
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````